summaryrefslogtreecommitdiffstats
path: root/debian/radosgw.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:46:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:46:10 +0000
commit7050cdb205fd1b1b847c148092a8548f00a061c0 (patch)
tree05a497ffd12f14405445c3288085e228f4e8579f /debian/radosgw.prerm
parentAdding upstream version 16.2.11+ds. (diff)
downloadceph-66b327c0b0f35bc6c97ecea4c45d5807b04ac406.tar.xz
ceph-66b327c0b0f35bc6c97ecea4c45d5807b04ac406.zip
Adding debian version 16.2.11+ds-2.debian/16.2.11+ds-2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/radosgw.prerm')
-rw-r--r--debian/radosgw.prerm22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/radosgw.prerm b/debian/radosgw.prerm
new file mode 100644
index 000000000..0288ab77b
--- /dev/null
+++ b/debian/radosgw.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+# vim: set noet ts=8:
+
+set -e
+
+case "$1" in
+ remove)
+ invoke-rc.d radosgw stop || {
+ RESULT=$?
+ if [ $RESULT != 100 ]; then
+ exit $RESULT
+ fi
+ }
+ ;;
+
+ *)
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0